Subject: RE: 2461bis and host-load-sharing

From: "Soliman, Hesham" <[email-masked]>
Date: Thu, 1 Dec 2005 11:22:18 -0500

Hi Bob,

 > > Dave,
 > >
 > > I think we can handle this during IESG last call. Does anyone  
 > > oppose Dave's suggestion
 > > below to update this statement according to RFC 4311 ?
 > 
 > Before answering the question, what would the exact change be to  
 > draft-ietf-ipv6-2461bis-05.txt?

=> Sorry, I think I assumed too much. I was proposing the removal of 
that sentence and replacing it with a reference to RFC 4311. I can
send exact text to the list. 

Hesham

 > 
 > One consideration is that the update to 2661 is being submitted at  
 > Draft standard and we need to be carefull to not make incompatible  
 > changes.  This probably not the case here, but I would like to see  
 > the proposed text.
 > 
 > Thanks,
 > Bob
 > 
 > 
 > > Thx,
 > > Hesham
 > >
 > > -----Original Message-----
 > > From: [email-masked] 
[mailto:[email-masked]]On Behalf  
> Of Dave Thaler
> Sent: Wednesday, November 23, 2005 1:37 PM
> To: JINMEI Tatuya / ????
> Cc: [email-masked]; [email-masked]
> Subject: 2461bis and host-load-sharing
>
> draft-ietf-ipv6-2461bis-05.txt  says in 6.3.6:
>
>     An implementation may choose to always return the same router or
>
>     cycle through the router list in a round-robin fashion as long
>
>     as it always returns a reachable or a probably reachable router
>
>     when one is available.
>
> However RFC 4311 (draft-ietf-ipv6-host-load-sharing-04.txt) updates
>
> RFC 2461, is a Proposed Standard, and says:
>
>     [ND] ...
>
>     specifies that an implementation may always choose the same router
>
>     (e.g., the first in the list) or may cycle through the routers in
>
>     a round-robin manner.  Both of these suggestions are problematic.
>
>     [...]
>
> If 2461bis is intended to obsolete RFC 2461, then I think the  
> statement
>
> in 6.3.6 should be updated to be in accordance with RFC 4311.   
> Otherwise
>
> RFC 4311 will have to be republished to update 2461bis.
>
> -Dave
>
> ========================================================
> This email may contain confidential and privileged material for the  
> sole
> use of the intended recipient.  Any review or distribution by  
> others is
> strictly prohibited.  If you are not the intended recipient please  
> contact
> the sender and delete all copies.
> ========================================================
>
> --------------------------------------------------------------------
> IETF IPv6 working group mailing list
> [email-masked]
> Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
> --------------------------------------------------------------------

--------------------------------------------------------------------
IETF IPv6 working group mailing list
[email-masked]
Administrative Requests: https://www1.ietf.org/mailman/listinfo/ipv6
--------------------------------------------------------------------

---

From: "Dave Thaler" <[email-masked]>
Date: Thu, 1 Dec 2005 10:03:45 -0800

A draft standard can't have a normative reference to a proposed
standard.

I believe the options are:
a) remove the problematic text from 2461bis and don't replace it with
anything (i.e., be silent on the issue).  I'm not sure what the state
of 4311 changes to then, since it's updating an obsoleted RFC.
b) replace the text with a note that is classified as an 
informative reference to 4311.
c) replace the text with the 2 paragraphs from 4311, and have 2461bis
also obsolete 4311.  This doesn't yet qualify per Draft Standard rules
so I don't think this option is really viable without delaying 2461bis. 

I believe Hesham is suggesting (b), and if appropriate text can be
constructed I would support this.

-Dave

> From: Soliman, Hesham [mailto:[email-masked]]
> Sent: Thursday, December 01, 2005 8:22 AM
> To: Bob Hinden
> Cc: Dave Thaler; [email-masked]
> Subject: RE: 2461bis and host-load-sharing
> 
> Hi Bob,
> 
>  > > Dave,
>  > >

---

From: "Manfredi, Albert E" <[email-masked]>
Date: Thu, 1 Dec 2005 14:20:12 -0500

It seems to me that it would be easier to obsolete RFC 4311 rather than
trying to keep it and 2461bis in sync? And what's in 4311 seems
straightforward and flexible enough to be easy to incorporate in
2461bis, no?

If it weren't for the delay that option c might cause, wouldn't it be
the simplest solution in the long run?

Bert

> From: Dave Thaler [mailto:[email-masked]] 
> Sent: Thursday, December 01, 2005 1:04 PM
> To: Soliman, Hesham; Bob Hinden
> Cc: [email-masked]
> > > However RFC 4311 
> (draft-ietf-ipv6-host-load-sharing-04.txt) updates
> > >
> > > Administrative Requests: 
> https://www1.ietf.org/mailman/listinfo/ipv6
> > >

---

From: "Dave Thaler" <[email-masked]>
Date: Thu, 1 Dec 2005 11:23:44 -0800

Yes it is straightforward to incorporate and would be the simplest
solution in the long run.

The issue with c is the Draft Standard requirements in RFC 2026:

 A specification from which at least two independent and interoperable
 implementations from different code bases have been developed, and
 for which sufficient successful operational experience has been
 obtained, may be elevated to the "Draft Standard" level.
 [...]
 The requirement for at least two independent and interoperable
 implementations applies to all of the options and features of the
 specification.  In cases in which one or more options or features
 have not been demonstrated in at least two interoperable
 implementations, the specification may advance to the Draft Standard
 level only if those options or features are removed.

-Dave

> From: Manfredi, Albert E [mailto:[email-masked]]
> Sent: Thursday, December 01, 2005 11:20 AM
> To: Dave Thaler; Soliman, Hesham; Bob Hinden
> Cc: [email-masked]
> > > >     (e.g., the first in the list) or may cycle through the
routers
> > in